diff --git a/Backend/Backend/Migrations/DatabaseContextModelSnapshot.cs b/Backend/Backend/Migrations/DatabaseContextModelSnapshot.cs
index 66256dc..5235a0d 100644
--- a/Backend/Backend/Migrations/DatabaseContextModelSnapshot.cs
+++ b/Backend/Backend/Migrations/DatabaseContextModelSnapshot.cs
@@ -37,21 +37,70 @@ namespace RestAPI.Migrations
                     b.ToTable("AnnotationClass");
                 });
 
+            modelBuilder.Entity("AnnotationFinalAnnotation", b =>
+                {
+                    b.Property<Guid>("AnnotationsId")
+                        .HasColumnType("uuid");
+
+                    b.Property<Guid>("FinalAnnotationsId")
+                        .HasColumnType("uuid");
+
+                    b.HasKey("AnnotationsId", "FinalAnnotationsId");
+
+                    b.HasIndex("FinalAnnotationsId");
+
+                    b.ToTable("AnnotationFinalAnnotation");
+                });
+
             modelBuilder.Entity("Core.Entities.Annotation", b =>
                 {
                     b.Property<Guid>("Id")
                         .ValueGeneratedOnAdd()
                         .HasColumnType("uuid");
 
+                    b.Property<string>("CachedCSS")
+                        .IsRequired()
+                        .HasColumnType("text");
+
+                    b.Property<string>("CachedClosingLengths")
+                        .IsRequired()
+                        .HasColumnType("text");
+
+                    b.Property<string>("CachedClosingPositions")
+                        .IsRequired()
+                        .HasColumnType("text");
+
+                    b.Property<string>("CachedDocumentHTML")
+                        .IsRequired()
+                        .HasColumnType("text");
+
+                    b.Property<string>("CachedLengths")
+                        .IsRequired()
+                        .HasColumnType("text");
+
+                    b.Property<string>("CachedStartPositions")
+                        .IsRequired()
+                        .HasColumnType("text");
+
                     b.Property<DateTime>("DateAssigned")
                         .HasColumnType("timestamp with time zone");
 
                     b.Property<DateTime>("DateLastChanged")
                         .HasColumnType("timestamp with time zone");
 
+                    b.Property<string>("Discriminator")
+                        .IsRequired()
+                        .HasColumnType("text");
+
                     b.Property<Guid>("DocumentId")
                         .HasColumnType("uuid");
 
+                    b.Property<Guid?>("LastModifiedTagId")
+                        .HasColumnType("uuid");
+
+                    b.Property<int>("ModifiedType")
+                        .HasColumnType("integer");
+
                     b.Property<string>("Note")
                         .IsRequired()
                         .HasColumnType("text");
@@ -74,6 +123,8 @@ namespace RestAPI.Migrations
                     b.HasIndex("UserId");
 
                     b.ToTable("Annotations");
+
+                    b.HasDiscriminator<string>("Discriminator").HasValue("Annotation");
                 });
 
             modelBuilder.Entity("Core.Entities.AnnotationTag", b =>
@@ -98,6 +149,13 @@ namespace RestAPI.Migrations
                     b.Property<int>("Position")
                         .HasColumnType("integer");
 
+                    b.Property<string>("SelectedText")
+                        .IsRequired()
+                        .HasColumnType("text");
+
+                    b.Property<int?>("Sentiment")
+                        .HasColumnType("integer");
+
                     b.Property<Guid?>("SubTagId")
                         .HasColumnType("uuid");
 
@@ -205,6 +263,55 @@ namespace RestAPI.Migrations
                     b.ToTable("DocumentContents");
                 });
 
+            modelBuilder.Entity("Core.Entities.FinalAnnotationTag", b =>
+                {
+                    b.Property<Guid>("Id")
+                        .ValueGeneratedOnAdd()
+                        .HasColumnType("uuid");
+
+                    b.Property<Guid>("AnnotationId")
+                        .HasColumnType("uuid");
+
+                    b.Property<Guid>("Instance")
+                        .HasColumnType("uuid");
+
+                    b.Property<bool>("IsFinal")
+                        .HasColumnType("boolean");
+
+                    b.Property<int>("Length")
+                        .HasColumnType("integer");
+
+                    b.Property<string>("Note")
+                        .IsRequired()
+                        .HasColumnType("text");
+
+                    b.Property<int>("Position")
+                        .HasColumnType("integer");
+
+                    b.Property<string>("SelectedText")
+                        .IsRequired()
+                        .HasColumnType("text");
+
+                    b.Property<int?>("Sentiment")
+                        .HasColumnType("integer");
+
+                    b.Property<Guid?>("SubTagId")
+                        .HasColumnType("uuid");
+
+                    b.Property<Guid>("TagId")
+                        .HasColumnType("uuid");
+
+                    b.HasKey("Id");
+
+                    b.HasIndex("AnnotationId");
+
+                    b.HasIndex("SubTagId");
+
+                    b.HasIndex("TagId");
+
+                    b.ToTable("FinalAnnotationTags");
+                });
+
             modelBuilder.Entity("Core.Entities.SubTag", b =>
                 {
                     b.Property<Guid>("Id")
@@ -219,6 +326,9 @@ namespace RestAPI.Migrations
                         .IsRequired()
                         .HasColumnType("text");
 
+                    b.Property<bool>("SentimentEnabled")
+                        .HasColumnType("boolean");
+
                     b.Property<Guid>("TagId")
                         .HasColumnType("uuid");
 
@@ -250,6 +360,9 @@ namespace RestAPI.Migrations
                         .IsRequired()
                         .HasColumnType("text");
 
+                    b.Property<bool>("SentimentEnabled")
+                        .HasColumnType("boolean");
+
                     b.HasKey("Id");
 
                     b.HasIndex("CategoryId");
@@ -269,6 +382,9 @@ namespace RestAPI.Migrations
                     b.Property<string>("Description")
                         .HasColumnType("text");
 
+                    b.Property<bool>("DisabledForAnnotators")
+                        .HasColumnType("boolean");
+
                     b.Property<string>("Name")
                         .HasColumnType("text");
 
@@ -303,6 +419,28 @@ namespace RestAPI.Migrations
                     b.ToTable("Users");
                 });
 
+            modelBuilder.Entity("FinalAnnotationTagUser", b =>
+                {
+                    b.Property<Guid>("FinalAnnotationTagsId")
+                        .HasColumnType("uuid");
+
+                    b.Property<Guid>("UsersId")
+                        .HasColumnType("uuid");
+
+                    b.HasKey("FinalAnnotationTagsId", "UsersId");
+
+                    b.HasIndex("UsersId");
+
+                    b.ToTable("FinalAnnotationTagUser");
+                });
+
+            modelBuilder.Entity("Core.Entities.FinalAnnotation", b =>
+                {
+                    b.HasBaseType("Core.Entities.Annotation");
+
+                    b.HasDiscriminator().HasValue("FinalAnnotation");
+                });
+
             modelBuilder.Entity("AnnotationClass", b =>
                 {
                     b.HasOne("Core.Entities.Annotation", null)
@@ -318,6 +456,21 @@ namespace RestAPI.Migrations
                         .IsRequired();
                 });
 
+            modelBuilder.Entity("AnnotationFinalAnnotation", b =>
+                {
+                    b.HasOne("Core.Entities.Annotation", null)
+                        .WithMany()
+                        .HasForeignKey("AnnotationsId")
+                        .OnDelete(DeleteBehavior.Cascade)
+                        .IsRequired();
+
+                    b.HasOne("Core.Entities.FinalAnnotation", null)
+                        .WithMany()
+                        .HasForeignKey("FinalAnnotationsId")
+                        .OnDelete(DeleteBehavior.Cascade)
+                        .IsRequired();
+                });
+
             modelBuilder.Entity("Core.Entities.Annotation", b =>
                 {
                     b.HasOne("Core.Entities.Document", "Document")
@@ -385,6 +538,31 @@ namespace RestAPI.Migrations
                     b.Navigation("UserAdded");
                 });
 
+            modelBuilder.Entity("Core.Entities.FinalAnnotationTag", b =>
+                {
+                    b.HasOne("Core.Entities.FinalAnnotation", "Annotation")
+                        .WithMany()
+                        .HasForeignKey("AnnotationId")
+                        .OnDelete(DeleteBehavior.Cascade)
+                        .IsRequired();
+
+                    b.HasOne("Core.Entities.SubTag", "SubTag")
+                        .WithMany()
+                        .HasForeignKey("SubTagId");
+
+                    b.HasOne("Core.Entities.Tag", "Tag")
+                        .WithMany()
+                        .HasForeignKey("TagId")
+                        .OnDelete(DeleteBehavior.Cascade)
+                        .IsRequired();
+
+                    b.Navigation("Annotation");
+
+                    b.Navigation("SubTag");
+
+                    b.Navigation("Tag");
+                });
+
             modelBuilder.Entity("Core.Entities.SubTag", b =>
                 {
                     b.HasOne("Core.Entities.Tag", "Tag")
@@ -406,6 +584,21 @@ namespace RestAPI.Migrations
 
                     b.Navigation("Category");
                 });
+
+            modelBuilder.Entity("FinalAnnotationTagUser", b =>
+                {
+                    b.HasOne("Core.Entities.FinalAnnotationTag", null)
+                        .WithMany()
+                        .HasForeignKey("FinalAnnotationTagsId")
+                        .OnDelete(DeleteBehavior.Cascade)
+                        .IsRequired();
+
+                    b.HasOne("Core.Entities.User", null)
+                        .WithMany()
+                        .HasForeignKey("UsersId")
+                        .OnDelete(DeleteBehavior.Cascade)
+                        .IsRequired();
+                });
 #pragma warning restore 612, 618
         }
     }
diff --git a/Backend/Backend/Program.cs b/Backend/Backend/Program.cs
index 7772387..8621d7f 100644
--- a/Backend/Backend/Program.cs
+++ b/Backend/Backend/Program.cs
@@ -115,12 +115,13 @@ using (var scope = app.Services.CreateScope())
     {
         //context.Database.EnsureDeleted();
         //context.Database.EnsureCreated();
-        //context.Database.Migrate();
+        context.Database.Migrate();
         Seeder.SeedDevelopment(context);
     }
     else
     {
         // In production we seed administrator 
+        context.Database.Migrate();
         Seeder.SeedProduction(context);
     }
 }
